seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2020/04/05, 10:25:23


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: WARNING: KDEPim 16.04.2-1 Transitions started  (Read 9037 times)

0 Members and 1 Guest are viewing this topic.

Offline Pip

  • User
  • Posts: 60
Re: WARNING: KDEPim 16.04.2-1 Transitions started
« Reply #30 on: 2016/07/22, 07:56:54 »
 From the command line, starting kontact produces the following
Code: [Select]
The kwalletd service has been registered
log_messagelist: Saved theme loading failed
log_messagelist: Saved theme loading failed
log_messagelist: Saved theme loading failed
QDBusConnection: name 'org.kde.kwalletd5' had owner '' but we thought it was ':1.86'
org.kde.akonadi.ETM: GEN true false false
org.kde.akonadi.ETM: collection: QVector()
org.kde.akonadi.ETM:
org.kde.akonadi.ETM: GEN true false true
org.kde.akonadi.ETM: collection: QVector()
org.kde.akonadi.ETM: GEN true false true
org.kde.akonadi.ETM: collection: QVector()
org.kde.akonadi.ETM: GEN true false true
org.kde.akonadi.ETM: collection: QVector()
org.kde.akonadi.ETM: Fetch job took  273 msec
org.kde.akonadi.ETM: was collection fetch job: collections: 0
akonadicore_log: Failed SpecialCollectionsRequestJob::slotResult "Failed to fetch the resource collection."
log_mailcommon: "The Email program encountered a fatal error and will terminate now.\nThe error was:\nFailed to fetch the resource collection."
org.kde.akonadi.ETM: Fetch job took  320 msec
org.kde.akonadi.ETM: was collection fetch job: collections: 0
akonadicore_log: Failed SpecialCollectionsRequestJob::slotResult "Failed to fetch the resource collection."
log_mailcommon: "The Email program encountered a fatal error and will terminate now.\nThe error was:\nFailed to fetch the resource collection."
akonadicore_log: Failed to request resource "akonadi_mixedmaildir_resource_1" : "Failed to fetch the resource collection."
akonadicore_log: Failed SpecialCollectionsRequestJob::slotResult "Failed to fetch the resource collection."
log_mailcommon: "The Email program encountered a fatal error and will terminate now.\nThe error was:\nFailed to fetch the resource collection."
akonadicore_log: Failed to request resource "akonadi_mixedmaildir_resource_1" : "Failed to fetch the resource collection."
akonadicore_log: Failed SpecialCollectionsRequestJob::slotResult "Failed to fetch the resource collection."
log_mailcommon: "The Email program encountered a fatal error and will terminate now.\nThe error was:\nFailed to fetch the resource collection."
akonadicore_log: Failed to request resource "akonadi_mixedmaildir_resource_1" : "Failed to fetch the resource collection."                                                     
akonadicore_log: Failed SpecialCollectionsRequestJob::slotResult "Failed to fetch the resource collection."                                                                     
log_mailcommon: "The Email program encountered a fatal error and will terminate now.\nThe error was:\nFailed to fetch the resource collection."                                 
akonadicore_log: Failed to request resource "akonadi_mixedmaildir_resource_1" : "Failed to fetch the resource collection."                                                     
akonadicore_log: Failed SpecialCollectionsRequestJob::slotResult "Failed to fetch the resource collection."                                                                     
log_mailcommon: "The Email program encountered a fatal error and will terminate now.\nThe error was:\nFailed to fetch the resource collection."                                 
akonadicore_log: Failed to request resource "akonadi_mixedmaildir_resource_1" : "Failed to fetch the resource collection."                                                     
org.kde.akonadi.ETM: Subtree:  1 QSet(150, 151, 1)                                     
org.kde.akonadi.ETM: Fetch job took  403 msec                                           
org.kde.akonadi.ETM: was collection fetch job: collections: 3                           
org.kde.akonadi.ETM: first fetched collection: "Search"                                 
org.kde.akonadi.ETM: Subtree:  1 QSet(150, 151, 1)                                     
org.kde.akonadi.ETM: Fetch job took  404 msec                                           
org.kde.akonadi.ETM: was collection fetch job: collections: 3                           
org.kde.akonadi.ETM: first fetched collection: "Search"                                 
org.kde.akonadi.ETM: Fetch job took  402 msec                                           
org.kde.akonadi.ETM: was collection fetch job: collections: 0 

Offline bluelupo

  • Global Moderator
  • User
  • *****
  • Posts: 2.066
    • http://bluelupo.net
Re: WARNING: KDEPim 16.04.2-1 Transitions started
« Reply #31 on: 2016/07/22, 08:05:09 »
Hi Pip,
please opens up a bug report in KDE with your error description.

https://bugs.kde.org/

Offline Pip

  • User
  • Posts: 60
Re: WARNING: KDEPim 16.04.2-1 Transitions started
« Reply #32 on: 2016/07/22, 21:01:23 »
Will do. I was just trying to check first to make sure it wasn't just my set ups or that I'd missed something obvious.

Offline orinoco

  • User
  • Posts: 170
Re: WARNING: KDEPim 16.04.2-1 Transitions started
« Reply #33 on: 2016/07/22, 21:30:32 »
Hello,


I can confirm the error.


* KMail window opens
* KWallet pops up
* Account assistant pops up
* Error pops up: Failes to fetch the resource collection


I hope my email-files are still availlable...

Offline Pip

  • User
  • Posts: 60
Re: WARNING: KDEPim 16.04.2-1 Transitions started
« Reply #34 on: 2016/07/22, 22:43:21 »
I've opened a bug under akonadi. But I won't pick up notifications about it quickly since I don't have mail.
Creating a new user domain (wiping their home directory) allowed me to start Kontact, so it's some interaction with the user settings.

Offline bluelupo

  • Global Moderator
  • User
  • *****
  • Posts: 2.066
    • http://bluelupo.net
Re: WARNING: KDEPim 16.04.2-1 Transitions started
« Reply #35 on: 2016/07/23, 12:49:32 »
Hi Pip,
can you give us a link to the bug report?

Offline Pip

  • User
  • Posts: 60
Re: WARNING: KDEPim 16.04.2-1 Transitions started
« Reply #36 on: 2016/07/23, 13:25:56 »
https://bugs.kde.org/show_bug.cgi?id=365991


I've tried removing all entries in .local/share/akonadi with no effect, so that's not where things are going wrong.

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.399
Re: WARNING: KDEPim 16.04.2-1 Transitions started
« Reply #37 on: 2016/07/24, 09:36:03 »
I can confirm that on a fresh install without integrating an old home directory everything works relatively smooth. On an older install removing everything under .local/share/akonadi is not enougn- Unfortunately at the moment I have no time for further experimentation, but I would suggest to do a
Code: [Select]
mlocate akonadi and see what else there is to remove. Also purging everything kdepim related followed by a new install might get you somewhere.


greetz
devil

Offline Pip

  • User
  • Posts: 60
Re: WARNING: KDEPim 16.04.2-1 Transitions started
« Reply #38 on: 2016/07/24, 14:05:38 »
On one machine (testing), akonadiconnectionrc is the culprit.
If the Data UnixPath entry is hashed out, kontact starts.
UnixPath=/tmp/akonadi-xxxxxxx/akonadiserver.socket

I'll get back later if there's any progress with the main box.

Offline Pip

  • User
  • Posts: 60
Re: WARNING: KDEPim 16.04.2-1 Transitions started
« Reply #39 on: 2016/07/24, 14:45:40 »
No, I probably won't have progress with that: if I disconnect Kontact from Akonadi by taking away the reference to the socket, it's unlikely I'll get anything good happening. It just seemed ok on the test box since there was no account. I'll have to raise an account there and seem what comes of it.

Offline orinoco

  • User
  • Posts: 170
Re: WARNING: KDEPim 16.04.2-1 Transitions started
« Reply #40 on: 2016/07/24, 16:23:39 »
I'm lost. Is it a kmail or an akonadi problem?


Now I'm preparing a new home-folder and located my emails in ~./.local/share/local-mail. I will create a new user und I hope it is enough to put the content of the old mail-folder to the new one?!?!


Is there a different (working) migration path for the email-folders? Please no re-install.


Offline Pip

  • User
  • Posts: 60
Re: WARNING: KDEPim 16.04.2-1 Transitions started
« Reply #41 on: 2016/07/24, 20:35:53 »
It's kmail interfacing with akonadi, I think. It's the akonadi logs that are reporting the lack of resource.
I haven't made any further progress - or, to put it another way, I haven't done any more work on it - so narrowing it down further is going to have to wait a bit. You'll probably see the same thing on your system if you take out the UnixPath (after suitable backups) and try to start kontact. My suspicion is that it will appear to work in that your kontact will appear, but it won't be populated.
Just a suspicion, though.

Offline davidb

  • User
  • Posts: 29
    • http://brandesign.org
Re: WARNING: KDEPim 16.04.2-1 Transitions started
« Reply #42 on: 2016/08/01, 10:20:45 »
I still can't do a du:

Code: [Select]
$ LANG=C apt-get dist-upgrade 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Error!
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:
 
The following packages have unmet dependencies:
 akonadi-server : Breaks: akonadiconsole (< 4:16.04) but 4:4.14.10-siduction1.7 is to be installed
                  Breaks: kmail (< 4:16.04) but 4:4.14.10-siduction1.7 is to be installed
                  Breaks: korganizer (< 4:16.04) but 4:4.14.10-siduction1.7 is to be installed
 libkf5calendarsupport-data : Breaks: korganizer (<= 4:16.04) but 4:4.14.10-siduction1.7 is to be installed
 libkf5ksieve-data : Breaks: kmail (<= 4:16.04) but 4:4.14.10-siduction1.7 is to be installed
 libkf5libkdepim-data : Breaks: kaddressbook (< 4:16.04) but 4:4.14.10-siduction1.7 is to be installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.

Offline der_bud

  • User
  • Posts: 907
  • member
Re: WARNING: KDEPim 16.04.2-1 Transitions started
« Reply #43 on: 2016/08/01, 10:59:52 »
...
Code: [Select]
...
 akonadi-server : Breaks: akonadiconsole (< 4:16.04) but 4:4.14.10-siduction1.7 is to be installed ...

Thats odd, because 4:16.04.3-1 is in Debian and 4:4.14.10-siduction1.7 not available here. Do you have an old install still with deprecated kdenext repo active? Please post output of
Code: [Select]
inxi -r
Du lachst? Wieso lachst du? Das ist doch oft so, Leute lachen erst und dann sind sie tot.

Offline davidb

  • User
  • Posts: 29
    • http://brandesign.org
Re: WARNING: KDEPim 16.04.2-1 Transitions started
« Reply #44 on: 2016/08/01, 11:15:57 »
Code: [Select]
$ LANG=C sudo inxi -r
Repos:     Active apt sources in file: /etc/apt/sources.list.d/debian.list
           deb http://http.debian.net/debian/ unstable main contrib non-free                                                                                                               
           deb http://http.debian.net/debian/ experimental main                                                                                                                           
           deb-src http://http.debian.net/debian/ unstable main contrib non-free                                                                                                           
           Active apt sources in file: /etc/apt/sources.list.d/google-chrome.list                                                                                                         
           deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main                                                                                                             
           Active apt sources in file: /etc/apt/sources.list.d/mono-xamarin.list                                                                                                           
           deb http://download.mono-project.com/repo/debian wheezy main                                                                                                                   
           Active apt sources in file: /etc/apt/sources.list.d/siduction.list                                                                                                             
           deb http://packages.siduction.org/base unstable main contrib non-free                                                                                                           
           deb http://packages.siduction.org/extra unstable main contrib non-free                                                                                                         
           deb http://packages.siduction.org/fixes unstable main contrib non-free